> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Documents (bulk)

> This endpoint deletes multiple embedding documents.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Body

<ParamField body="ids" type="string[]" required>
  Array of document ids to delete
</ParamField>

### Response

<ResponseField name="data" type="object" />

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request DELETE 'https://api.getmetal.io/v1/indexes/{indexId}/v1/documents/bulk' \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  --data-raw '{
      "ids": ["id1", "id2"],
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "ids": ["id1", "id2"]
    }
  }
  ```
</ResponseExample>
